org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet

## Interface DerivedTypedElement

All Superinterfaces:
  DocumentedElement, FacetElement

All Known Subinterfaces:
  FacetAttribute, FacetOperation, FacetReference

    public interface DerivedTypedElement
    extends FacetElement

A representation of the model object 'Derived Typed Element'. A derivable typed element is a structural feature that the value can be computed by using a query. NB: DerivedTypeElement must be named "DerivableTypeElement". Old definition: A derived typed element is a virtual structural feature the value of which is computed using a query.

The following features are supported:

- `Query`
- `Override`

See Also:
  `EFacetPackage.getDerivedTypedElement()`
Generated:
Model:
  abstract="true"

### Method Summary

All Methods Instance Methods Abstract Methods
`DerivedTypedElement` `getOverride()` Returns the value of the 'Override' reference.
`Query` `getQuery()` Returns the value of the 'Query' containment reference.
`void` `setOverride(DerivedTypedElement value)` Sets the value of the '`Override`' reference.
`void` `setQuery(Query value)` Sets the value of the '`Query`' containment reference.

### Methods inherited from interface org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.FacetElement

`getCategories`

### Methods inherited from interface org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.DocumentedElement

`getDocumentation, setDocumentation`

### Method Detail

#### getQuery

    Query getQuery()

Returns the value of the 'Query' containment reference.

If the meaning of the 'Query' containment reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Query' containment reference.
See Also:
  `setQuery(Query)`, `EFacetPackage.getDerivedTypedElement_Query()`
Generated:
Model:
  containment="true"

#### setQuery

    void setQuery(Query value)

Sets the value of the '`Query`' containment reference.

Parameters:
  `value` - the new value of the 'Query' containment reference.
See Also:
  `getQuery()`
Generated:

#### getOverride

    DerivedTypedElement getOverride()

Returns the value of the 'Override' reference. If it exists a facet A which extends a facet B then a derived typed element of A can override a typed element of B; if the both typed elements have the same name, same multiplicity, and same type.

Returns:
  the value of the 'Override' reference.
See Also:
  `setOverride(DerivedTypedElement)`, `EFacetPackage.getDerivedTypedElement_Override()`
Generated:
Model:

#### setOverride

    void setOverride(DerivedTypedElement value)

Sets the value of the '`Override`' reference.

Parameters:
  `value` - the new value of the 'Override' reference.
See Also:
  `getOverride()`
Generated: